﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartSeries series = new ChartSeries("series1", ChartSeriesType.Column);
            series.Points.Add(20,10);
            series.Points.Add(30,20);
            series.Points.Add(50, 10);
            series.Points.Add(60, 20);
            series.Points.Add(80, 10);
            series.Points.Add(120, 20);
            series.Points.Add(140, 10);
            series.Points.Add(160, 20);
            this.chart.Series.Add(series);
            this.chart.EnableXZooming = true;
            this.chart.EnableYZooming = true;
            this.chart.ZoomType = ZoomType.Selection;
            this.chart.ShowContextMenu = true;
            this.chart.ResetOnDoubleClick = true;
            this.chart.Size = new Size(800, 450);
            this.Controls.Add(chart);
        }
    }
}
